

CREATE TABLE accounts (
   email TEXT PRIMARY KEY NOT NULL,
   created  TIMESTAMP NOT NULL DEFAULT NOW()
);

CREATE TABLE vms (
   id    TEXT PRIMARY KEY NOT NULL,
   email TEXT REFERENCES accounts(email) ON DELETE RESTRICT,
   created  TIMESTAMP NOT NULL DEFAULT NOW(),
   deleted  TIMESTAMP NOT NULL
);

CREATE TABLE payments (
  email      TEXT REFERENCES accounts(email) ON DELETE RESTRICT,
  created    TIMESTAMP NOT NULL DEFAULT NOW(),
  dollars    NUMERIC(8, 2) NOT NULL,
  PRIMARY KEY (email, created)
);

CREATE TABLE logintokens (
  email      TEXT REFERENCES accounts(email) ON DELETE RESTRICT,
  created    TIMESTAMP NOT NULL DEFAULT NOW(),
  token      TEXT NOT NULL,
  PRIMARY KEY (email, created)
);

UPDATE schemaversion SET version = 2;